summaryrefslogtreecommitdiffstats
path: root/bin/test_torbrowser-launcher.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2015-11-19 14:39:54 +0100
committerHolger Levsen <holger@layer-acht.org>2015-11-19 15:15:51 +0100
commit7b20640e2246b85f00131311bab8be38f2df6e46 (patch)
treebc5f12905028cee9ab0fa893f29689d84b87deb9 /bin/test_torbrowser-launcher.sh
parentc7cb2198c3b948a79dd3db04e6999144e4572921 (diff)
downloadjenkins.debian.net-7b20640e2246b85f00131311bab8be38f2df6e46.tar.xz
torbrowser tests: refactor, make final status thumbnails readable
Diffstat (limited to 'bin/test_torbrowser-launcher.sh')
-rwxr-xr-xbin/test_torbrowser-launcher.sh25
1 files changed, 11 insertions, 14 deletions
diff --git a/bin/test_torbrowser-launcher.sh b/bin/test_torbrowser-launcher.sh
index e3bcf5c5..605422c9 100755
--- a/bin/test_torbrowser-launcher.sh
+++ b/bin/test_torbrowser-launcher.sh
@@ -304,27 +304,24 @@ download_and_launch() {
fi
done
if [ -n "$BONUS_LEVEL_1" ] && [ -n "$BONUS_LEVEL_2" ] ; then
- BONUS_MSG="Very well done."
- BONUS_COLORS="-bg green -fg black"
+ STATUS_MSG="Very well done."
+ STATUS_COLORS="-bg green -fg black"
elif [ -n "$BONUS_LEVEL_1" ] || [ -n "$BONUS_LEVEL_2" ] ; then
- BONUS_MSG="Well done."
- BONUS_COLORS="-bg lightgreen -fg black"
+ STATUS_MSG="Well done."
+ STATUS_COLORS="-bg lightgreen -fg black"
else
- BONUS_MSG=""
- BONUS_COLORS=""
+ STATUS_MSG=""
+ STATUS_COLORS=""
fi
- # sleep is added here, so the xterms come up in stable order
- schroot --run-session -c $SESSION --preserve-environment -- xterm $BONUS_COLORS -fs 64 -hold -T '$(date +'%a %d %b')' -e "figlet -c -f banner '$(date +'%a %d %b')'" 2>/dev/null || true &
+ # sleep is added here, so xterm + notification come up nicely
+ schroot --run-session -c $SESSION --preserve-environment -- xterm -geometry 1024x230+0+520 $STATUS_COLORS -fa 'DejaVuSansMono' -fs 18 -hold -T '$(date +'%a %d %b')' -e "echo ; figlet -c -f banner -w 68 '$(date +'%a %d %b')'" 2>/dev/null || true &
sleep 1
- if [ -n "$BONUS_MSG" ] ; then
- schroot --run-session -c $SESSION --preserve-environment -- xterm $BONUS_COLORS -fs 48 -hold -T "$BONUS_MSG" -e "figlet -c -f banner '$BONUS_MSG'" 2>/dev/null || true &
- fi
- sleep 1
- echo "'$(date -u) - torbrowser tests end. $BONUS_MSG'" | tee | xargs schroot --run-session -c $SESSION --preserve-environment -- notify-send
+ echo "'$(date -u) - torbrowser tests end. $STATUS_MSG'" | tee | xargs schroot --run-session -c $SESSION --preserve-environment -- notify-send
+ sleep 0.5
update_screenshot
echo "$(date) - telling awesome to quit."
echo 'awesome.quit()' | schroot --run-session -c $SESSION --preserve-environment -- awesome-client
- sleep 1
+ sleep 0.5
schroot --run-session -c $SESSION --directory /tmp -u root -- service dbus stop
sleep 1
echo "$(date -u ) - killing Xfvb and ffmpeg."